# Uses of Class
org.apache.sling.fsprovider.internal.parser.ContentFileCache

Packages that use ContentFileCache
Package
Description
org.apache.sling.fsprovider.internal.mapper

## Uses of ContentFileCache in org.apache.sling.fsprovider.internal.mapper

Fields in org.apache.sling.fsprovider.internal.mapper declared as ContentFileCache
Modifier and Type
Field
Description
`protected final ContentFileCache`
FileResourceMapper.`contentFileCache`
Constructors in org.apache.sling.fsprovider.internal.mapper with parameters of type ContentFileCache
Modifier
Constructor
Description
``
`ContentFile(File file, String path, String subPath, ContentFileCache contentFileCache)`
``
`ContentFile(File file, String path, String subPath, ContentFileCache contentFileCache, ContentType contentType)`
``
`ContentFileResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache)`
``
`FileResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache, boolean overlayParentResourceProvider, boolean createContentFileMapper)`
``
`FileVaultResourceMapper(String providerRoot, File providerFile, org.apache.sling.fsprovider.internal.ContentFileExtensions contentFileExtensions, ContentFileCache contentFileCache, org.apache.sling.fsprovider.internal.FileStatCache fileStatCache, boolean overlayParentResourceProvider, File filterXmlFile)`